!SESSION 2008-11-18 17:04:21.743 -----------------------------------------------
eclipse.buildId=M20060629-1905
java.version=1.6.0_07
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Command-line arguments:  -os win32 -ws win32 -arch x86

!ENTRY org.eclipse.core.resources 2 10035 2008-11-18 17:04:29.033
!MESSAGE A workspace crash was detected. The previous session did not exit normally.
!SESSION 2008-11-21 10:45:16.680 -----------------------------------------------
eclipse.buildId=M20060629-1905
java.version=1.6.0_07
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Command-line arguments:  -os win32 -ws win32 -arch x86

!ENTRY net.genady.rmi 4 0 2008-11-21 11:09:15.078
!MESSAGE Error executing RMI compiler
!STACK 0
net.genady.rmi.compilers.CompilerException: There is no RMI compiler in your project's JRE System Library. Stubs can't be generated.
	at net.genady.rmi.compilers.SunBasedCompiler.execute(Unknown Source)
	at net.genady.rmi.builder.RMIBuilder.compile(Unknown Source)
	at net.genady.rmi.builder.RMIBuilder.build(Unknown Source)
	at org.eclipse.core.internal.events.BuildManager$2.run(BuildManager.java:603)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:37)
	at org.eclipse.core.internal.events.BuildManager.basicBuild(BuildManager.java:167)
	at org.eclipse.core.internal.events.BuildManager.basicBuild(BuildManager.java:201)
	at org.eclipse.core.internal.events.BuildManager$1.run(BuildManager.java:230)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:37)
	at org.eclipse.core.internal.events.BuildManager.basicBuild(BuildManager.java:233)
	at org.eclipse.core.internal.events.BuildManager.basicBuildLoop(BuildManager.java:252)
	at org.eclipse.core.internal.events.BuildManager.build(BuildManager.java:285)
	at org.eclipse.core.internal.events.AutoBuildJob.doBuild(AutoBuildJob.java:154)
	at org.eclipse.core.internal.events.AutoBuildJob.run(AutoBuildJob.java:217)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:58)

!ENTRY net.genady.rmi 2008-11-21 11:09:15.259
!MESSAGE Could not find /Prototype/prototype/net/RMIServerImpl_Stub.class and /Prototype/prototype/net/RMIServerImpl_Skel.class

!ENTRY org.eclipse.jdt.core 4 1006 2008-11-21 11:10:31.699
!MESSAGE C:\Program Files\Java\jre1.6.0_07\lib\rt.jar is not on its project's build path

!ENTRY org.eclipse.jdt.core 4 1006 2008-11-21 11:10:31.699
!MESSAGE C:\Program Files\Java\jre1.6.0_07\lib\rt.jar is not on its project's build path

!ENTRY org.eclipse.jdt.core 4 969 2008-11-21 11:36:11.363
!MESSAGE RMIServerInterface.java [in prototype.net [in <project root> [in Prototype]]] does not exist

!ENTRY org.eclipse.core.resources 4 368 2008-11-21 11:36:11.383
!MESSAGE Resource /Prototype/prototype/net/RMIServerInterface.java does not exist.

!ENTRY org.eclipse.jdt.core 4 969 2008-11-21 12:31:36.524
!MESSAGE RMIServerInterface.java [in prototype.rmi.test [in <project root> [in Prototype]]] does not exist

!ENTRY org.eclipse.core.resources 4 368 2008-11-21 12:31:36.554
!MESSAGE Resource /Prototype/prototype/rmi/test/RMIServerInterface.java does not exist.

!ENTRY org.eclipse.jdt.core 4 969 2008-11-21 16:42:32.704
!MESSAGE RMIServerInterface.java [in prototype.net [in <project root> [in Prototype]]] does not exist

!ENTRY org.eclipse.jdt.core 4 969 2008-11-21 16:42:32.744
!MESSAGE RMIServerInterface.java [in prototype.net [in <project root> [in Prototype]]] does not exist

!ENTRY org.eclipse.core.resources 4 368 2008-11-21 16:42:32.744
!MESSAGE Resource /Prototype/prototype/net/RMIServerInterface.java does not exist.

!ENTRY org.eclipse.core.resources 4 368 2008-11-21 16:42:32.744
!MESSAGE Resource /Prototype/prototype/net/RMIServerInterface.java does not exist.

!ENTRY org.eclipse.jdt.core 4 969 2008-11-21 16:42:44.060
!MESSAGE prototype.rmi.e [in <project root> [in Prototype]] does not exist

!ENTRY org.eclipse.jdt.core 4 969 2008-11-21 16:42:44.060
!MESSAGE prototype.rmi.e [in <project root> [in Prototype]] does not exist

!ENTRY org.eclipse.core.resources 4 368 2008-11-21 16:42:44.060
!MESSAGE Resource /Prototype/prototype/rmi/e/RMIServerInterface.java does not exist.

!ENTRY org.eclipse.core.resources 4 368 2008-11-21 16:42:44.060
!MESSAGE Resource /Prototype/prototype/rmi/e/RMIServerInterface.java does not exist.

!ENTRY net.genady.rmi 4 0 2008-11-21 17:47:32.501
!MESSAGE Error cleaning the registry
!STACK 0
java.rmi.ConnectException: Connection refused to host: 192.168.2.3; nested exception is: 
	java.net.ConnectException: Connection refused: connect
	at sun.rmi.transport.tcp.TCPEndpoint.newSocket(Unknown Source)
	at sun.rmi.transport.tcp.TCPChannel.createConnection(Unknown Source)
	at sun.rmi.transport.tcp.TCPChannel.newConnection(Unknown Source)
	at sun.rmi.server.UnicastRef.newCall(Unknown Source)
	at sun.rmi.registry.RegistryImpl_Stub.list(Unknown Source)
	at net.genady.rmi.registry.RegistryManager.clean(Unknown Source)
	at net.genady.rmi.registry.RegistryControlAction$11.run(Unknown Source)
	at org.eclipse.jface.operation.ModalContext$ModalContextThread.run(ModalContext.java:113)
Caused by: java.net.ConnectException: Connection refused: connect
	at java.net.PlainSocketImpl.socketConnect(Native Method)
	at java.net.PlainSocketImpl.doConnect(Unknown Source)
	at java.net.PlainSocketImpl.connectToAddress(Unknown Source)
	at java.net.PlainSocketImpl.connect(Unknown Source)
	at java.net.SocksSocketImpl.connect(Unknown Source)
	at java.net.Socket.connect(Unknown Source)
	at java.net.Socket.connect(Unknown Source)
	at java.net.Socket.<init>(Unknown Source)
	at java.net.Socket.<init>(Unknown Source)
	at sun.rmi.transport.proxy.RMIDirectSocketFactory.createSocket(Unknown Source)
	at sun.rmi.transport.proxy.RMIMasterSocketFactory.createSocket(Unknown Source)
	... 8 more
!SESSION 2008-11-28 16:28:52.987 -----------------------------------------------
eclipse.buildId=M20060629-1905
java.version=1.6.0_07
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Command-line arguments:  -os win32 -ws win32 -arch x86

!ENTRY org.eclipse.ui.ide 4 4 2008-11-29 00:03:42.167
!MESSAGE Error accessing marker type

!ENTRY org.eclipse.core.resources 4 376 2008-11-29 00:03:42.187
!MESSAGE Marker id: 12681 not found.

!ENTRY org.eclipse.ui.ide 4 4 2008-11-29 00:03:42.187
!MESSAGE Error accessing marker type

!ENTRY org.eclipse.core.resources 4 376 2008-11-29 00:03:42.187
!MESSAGE Marker id: 12681 not found.

!ENTRY org.eclipse.ui.ide 4 4 2008-11-29 00:03:42.187
!MESSAGE Error accessing marker type

!ENTRY org.eclipse.core.resources 4 376 2008-11-29 00:03:42.187
!MESSAGE Marker id: 12681 not found.

!ENTRY org.eclipse.ui.ide 4 4 2008-11-29 00:03:42.187
!MESSAGE Error accessing marker type

!ENTRY org.eclipse.core.resources 4 376 2008-11-29 00:03:42.187
!MESSAGE Marker id: 12681 not found.

!ENTRY org.eclipse.ui.ide 4 4 2008-11-29 00:03:42.187
!MESSAGE Error accessing marker type

!ENTRY org.eclipse.core.resources 4 376 2008-11-29 00:03:42.187
!MESSAGE Marker id: 12681 not found.

!ENTRY org.eclipse.ui.ide 4 4 2008-11-29 00:03:42.187
!MESSAGE Error accessing marker type

!ENTRY org.eclipse.core.resources 4 376 2008-11-29 00:03:42.187
!MESSAGE Marker id: 12681 not found.
!SESSION 2008-11-29 15:15:33.345 -----------------------------------------------
eclipse.buildId=M20060629-1905
java.version=1.6.0_07
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Command-line arguments:  -data C:\Documents and Settings\Steve Talbot\My Documents\Illinois Tech Courses\2008 Fall\CS521 Object Oriented Analysis and Design\prototype -os win32 -ws win32 -arch x86

!ENTRY org.eclipse.jdt.core 4 969 2008-11-29 15:19:17.377
!MESSAGE print-common does not exist

!ENTRY org.eclipse.core.resources 4 2 2008-11-29 15:19:18.659
!MESSAGE Problems occurred when invoking code from plug-in: "org.eclipse.core.resources".
!STACK 0
java.lang.ClassCastException: net.genady.rmi.builder.CompiledRMIClass cannot be cast to org.eclipse.jdt.core.IType
	at net.genady.rmi.builder.BuildState.discardRemoteState(Unknown Source)
	at net.genady.rmi.builder.RMIBuilder.cleanNonRemoteResources(Unknown Source)
	at net.genady.rmi.builder.RMIBuilder.build(Unknown Source)
	at org.eclipse.core.internal.events.BuildManager$2.run(BuildManager.java:603)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:37)
	at org.eclipse.core.internal.events.BuildManager.basicBuild(BuildManager.java:167)
	at org.eclipse.core.internal.events.BuildManager.basicBuild(BuildManager.java:201)
	at org.eclipse.core.internal.events.BuildManager$1.run(BuildManager.java:230)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:37)
	at org.eclipse.core.internal.events.BuildManager.basicBuild(BuildManager.java:233)
	at org.eclipse.core.internal.events.BuildManager.basicBuildLoop(BuildManager.java:252)
	at org.eclipse.core.internal.events.BuildManager.build(BuildManager.java:285)
	at org.eclipse.core.internal.events.AutoBuildJob.doBuild(AutoBuildJob.java:154)
	at org.eclipse.core.internal.events.AutoBuildJob.run(AutoBuildJob.java:217)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:58)

!ENTRY org.eclipse.core.resources 2 75 2008-11-29 15:19:18.679
!MESSAGE Errors during build.
!SUBENTRY 1 net.genady.rmi 2 75 2008-11-29 15:19:18.679
!MESSAGE Errors running builder "RMI Builder" on project print-server.
!SUBENTRY 1 net.genady.rmi 2 75 2008-11-29 15:19:18.679
!MESSAGE net.genady.rmi.builder.CompiledRMIClass cannot be cast to org.eclipse.jdt.core.IType
!STACK 0
java.lang.ClassCastException: net.genady.rmi.builder.CompiledRMIClass cannot be cast to org.eclipse.jdt.core.IType
	at net.genady.rmi.builder.BuildState.discardRemoteState(Unknown Source)
	at net.genady.rmi.builder.RMIBuilder.cleanNonRemoteResources(Unknown Source)
	at net.genady.rmi.builder.RMIBuilder.build(Unknown Source)
	at org.eclipse.core.internal.events.BuildManager$2.run(BuildManager.java:603)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:37)
	at org.eclipse.core.internal.events.BuildManager.basicBuild(BuildManager.java:167)
	at org.eclipse.core.internal.events.BuildManager.basicBuild(BuildManager.java:201)
	at org.eclipse.core.internal.events.BuildManager$1.run(BuildManager.java:230)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:37)
	at org.eclipse.core.internal.events.BuildManager.basicBuild(BuildManager.java:233)
	at org.eclipse.core.internal.events.BuildManager.basicBuildLoop(BuildManager.java:252)
	at org.eclipse.core.internal.events.BuildManager.build(BuildManager.java:285)
	at org.eclipse.core.internal.events.AutoBuildJob.doBuild(AutoBuildJob.java:154)
	at org.eclipse.core.internal.events.AutoBuildJob.run(AutoBuildJob.java:217)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:58)
!SESSION 2008-12-01 12:06:56.548 -----------------------------------------------
eclipse.buildId=M20060629-1905
java.version=1.6.0_07
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Command-line arguments:  -os win32 -ws win32 -arch x86

!ENTRY org.eclipse.osgi 4 0 2008-12-01 12:09:17.030
!MESSAGE While loading class "org.eclipse.jdt.launching.sourcelookup.IJavaSourceLocation", thread "main" timed out waiting (5000ms) for thread "org.eclipse.jdt.internal.ui.text.JavaReconciler" to finish starting bundle "org.eclipse.jdt.launching". To avoid deadlock, thread "main" is proceeding but "org.eclipse.jdt.launching.sourcelookup.IJavaSourceLocation" may not be fully initialized.
!STACK 0
java.lang.Exception: Generated exception.
	at org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter.preFindLocalClass(EclipseLazyStarter.java:77)
	at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:412)
	at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:189)
	at org.eclipse.osgi.framework.internal.core.BundleLoader.findLocalClass(BundleLoader.java:334)
	at org.eclipse.osgi.framework.internal.core.SingleSourcePackage.loadClass(SingleSourcePackage.java:37)
	at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:383)
	at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:347)
	at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:83)
	at java.lang.ClassLoader.loadClass(Unknown Source)
	at java.lang.ClassLoader.loadClassInternal(Unknown Source)
	at java.lang.Class.forName0(Native Method)
	at java.lang.Class.forName(Unknown Source)
	at org.eclipse.jdt.internal.debug.ui.JDIDebugUIPlugin.start(JDIDebugUIPlugin.java:309)
	at org.eclipse.osgi.framework.internal.core.BundleContextImpl$2.run(BundleContextImpl.java:991)
	at java.security.AccessController.doPrivileged(Native Method)
	at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:985)
	at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:966)
	at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:317)
	at org.eclipse.osgi.framework.internal.core.AbstractBundle.start(AbstractBundle.java:256)
	at org.eclipse.osgi.framework.util.SecureAction.start(SecureAction.java:342)
	at org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter.preFindLocalClass(EclipseLazyStarter.java:88)
	at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:412)
	at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:189)
	at org.eclipse.osgi.framework.internal.core.BundleLoader.findLocalClass(BundleLoader.java:334)
	at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:386)
	at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:347)
	at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:83)
	at java.lang.ClassLoader.loadClass(Unknown Source)
	at org.eclipse.osgi.framework.internal.core.BundleLoader.loadClass(BundleLoader.java:278)
	at org.eclipse.osgi.framework.internal.core.BundleHost.loadClass(BundleHost.java:227)
	at org.eclipse.osgi.framework.internal.core.AbstractBundle.loadClass(AbstractBundle.java:1245)
	at org.eclipse.core.internal.registry.osgi.RegistryStrategyOSGI.createExecutableExtension(RegistryStrategyOSGI.java:147)
	at org.eclipse.core.internal.registry.ExtensionRegistry.createExecutableExtension(ExtensionRegistry.java:759)
	at org.eclipse.core.internal.registry.ConfigurationElement.createExecutableExtension(ConfigurationElement.java:243)
	at org.eclipse.core.internal.registry.ConfigurationElementHandle.createExecutableExtension(ConfigurationElementHandle.java:51)
	at org.eclipse.core.internal.runtime.AdapterFactoryProxy.loadFactory(AdapterFactoryProxy.java:114)
	at org.eclipse.core.internal.runtime.AdapterManager.getAdapter(AdapterManager.java:280)
	at org.eclipse.core.internal.runtime.AdapterManager.loadAdapter(AdapterManager.java:300)
	at org.eclipse.debug.internal.ui.actions.RetargetAction.getAdapter(RetargetAction.java:144)
	at org.eclipse.debug.internal.ui.actions.RetargetAction.partActivated(RetargetAction.java:135)
	at org.eclipse.debug.internal.ui.actions.RetargetAction.init(RetargetAction.java:87)
	at org.eclipse.ui.internal.WWinPluginAction.initDelegate(WWinPluginAction.java:189)
	at org.eclipse.ui.internal.PluginAction.createDelegate(PluginAction.java:123)
	at org.eclipse.ui.internal.PluginAction.selectionChanged(PluginAction.java:278)
	at org.eclipse.ui.internal.WWinPluginAction.refreshSelection(WWinPluginAction.java:275)
	at org.eclipse.ui.internal.WWinPluginAction.<init>(WWinPluginAction.java:121)
	at org.eclipse.ui.internal.ActionDescriptor.createAction(ActionDescriptor.java:259)
	at org.eclipse.ui.internal.ActionDescriptor.<init>(ActionDescriptor.java:170)
	at org.eclipse.ui.internal.PluginActionSetBuilder.createActionDescriptor(PluginActionSetBuilder.java:132)
	at org.eclipse.ui.internal.PluginActionBuilder.readElement(PluginActionBuilder.java:158)
	at org.eclipse.ui.internal.registry.RegistryReader.readElements(RegistryReader.java:138)
	at org.eclipse.ui.internal.registry.RegistryReader.readElementChildren(RegistryReader.java:127)
	at org.eclipse.ui.internal.PluginActionBuilder.readElement(PluginActionBuilder.java:141)
	at org.eclipse.ui.internal.registry.RegistryReader.readElements(RegistryReader.java:138)
	at org.eclipse.ui.internal.PluginActionSetBuilder.readActionExtensions(PluginActionSetBuilder.java:259)
	at org.eclipse.ui.internal.PluginActionSetBuilder.processActionSets(PluginActionSetBuilder.java:221)
	at org.eclipse.ui.internal.ActionPresentation.setActionSets(ActionPresentation.java:187)
	at org.eclipse.ui.internal.WorkbenchWindow.updateActionSets(WorkbenchWindow.java:2826)
	at org.eclipse.ui.internal.WorkbenchWindow$6.run(WorkbenchWindow.java:2636)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:67)
	at org.eclipse.ui.internal.WorkbenchWindow.setActivePage(WorkbenchWindow.java:2597)
	at org.eclipse.ui.internal.WorkbenchWindow.restoreState(WorkbenchWindow.java:1982)
	at org.eclipse.ui.internal.Workbench.doRestoreState(Workbench.java:2873)
	at org.eclipse.ui.internal.Workbench.access$14(Workbench.java:2821)
	at org.eclipse.ui.internal.Workbench$20.run(Workbench.java:1697)
	at org.eclipse.ui.internal.Workbench.runStartupWithProgress(Workbench.java:1437)
	at org.eclipse.ui.internal.Workbench.restoreState(Workbench.java:1695)
	at org.eclipse.ui.internal.Workbench.access$12(Workbench.java:1666)
	at org.eclipse.ui.internal.Workbench$18.run(Workbench.java:1545)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:37)
	at org.eclipse.ui.internal.Workbench.restoreState(Workbench.java:1489)
	at org.eclipse.ui.internal.WorkbenchConfigurer.restoreState(WorkbenchConfigurer.java:183)
	at org.eclipse.ui.application.WorkbenchAdvisor.openWindows(WorkbenchAdvisor.java:702)
	at org.eclipse.ui.internal.Workbench.init(Workbench.java:1101)
	at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:1863)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:422)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
	at org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:95)
	at org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:78)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:92)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:68)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:177)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
	at java.lang.reflect.Method.invoke(Unknown Source)
	at org.eclipse.core.launcher.Main.invokeFramework(Main.java:336)
	at org.eclipse.core.launcher.Main.basicRun(Main.java:280)
	at org.eclipse.core.launcher.Main.run(Main.java:977)
	at org.eclipse.core.launcher.Main.main(Main.java:952)
